Subject: Documentation problems

From: Bruce Korb <[email-masked]>
Date: Sun, 20 Sep 2009 10:58:36 -0700

Hi,

I'm trying to figure out what a ``tree-ish''.
I cannot seem to use many of the commands until I know.

<tree-ish>
    Indicates a tree, commit or tag object name. A command that takes a
    <tree-ish> argument ultimately wants to operate on a <tree> object
    but automatically dereferences <commit> and <tag> objects that point at a <tree>.

I need a translation.  :(  Thank you.  Regards, Bruce

P.S. I have a SuSE installation with everything relating to GIT installed.
The man pages reference commands like, "git-ls-tree --name-only" except
that there isn't any such command.  Unless you reverse engineer the
implementation of "git", discover the /usr/lib/git directory and add it
to your path.  That hassle is rather inconvenient.  More hints about
where the git commands get squirreled away would be useful.  Thank you.